[![Zetta](http://www.zettajs.org/images/logos/zetta-logo.svg)](http://www.zettajs.org/)


[![Gitter](https://badges.gitter.im/Join\ Chat.svg)](https://gitter.im/zettajs/zetta?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge) [![Build Status](https://travis-ci.org/zettajs/zetta.svg?branch=master)](https://travis-ci.org/zettajs/zetta) 

# What is Zetta?

Zetta is an open source, API-first, [Node.js](https://nodejs.org)-based platform for the Internet of Things. To learn more about Zetta now, jump to [Introduction to Zetta](https://github.com/zettajs/zetta/wiki/Overview) on the [Zetta doc wiki](https://github.com/zettajs/zetta/wiki). 

# Key concepts

On the [Zetta Doc wiki](https://github.com/zettajs/zetta/wiki), you'll find a [conceptual overview](https://github.com/zettajs/zetta/wiki/Overview), getting started [tutorials](https://github.com/zettajs/zetta/wiki/Mock-Device), the API reference, and other topics to help you build Zetta projects. 

# Getting started with Zetta

The Zetta [Quick Start](https://github.com/zettajs/zetta/wiki/Quick-Start) is the quintessential "Hello World" project for Zetta. Learn how to install Zetta, create a new Zetta project, fire up a Zetta server, and call a Zetta API. It just takes a few minutes!

# Installing Zetta

You can install Zetta by cloning it from GitHub or using NPM:

**Clone from GitHub**
```bash
git clone git@github.com:zettajs/zetta.git && cd zetta

npm install
```

**NPM**
```bash
npm install zetta
```


# Docs

* The [Zetta Doc Wiki](https://github.com/zettajs/zetta/wiki) is where you'll find all of the documentation for Zetta, including overviews, tutorials, and reference content. 

* You can also visit the Zetta site at [http://zettajs.github.io/](http://zettajs.github.io/) project recipes, event information, community links, and more. 

# Community

The supportive Zetta community is steadily growing. We have channels where you can interact with the Zetta team directly as well as with other Zetta enthusiasts.

* [Google group](https://groups.google.com/forum/#!forum/zetta-discuss)
* [Gitter chat](https://gitter.im/zettajs/zetta) 

# Issues

You can file issues on our GitHub [issues page](https://github.com/zettajs/zetta/issues).


## License

MIT
